<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@8050=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@1025</action>
      <action>temp1 =maincpu.mw@43AF</action>
      <action>temp2 =maincpu.mb@4573</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1025=C3</action>
      <action>maincpu.mw@43AF=B8C3</action> <!-- 1st = In the Port, 2nd = In the Warehouse -->
      <action>maincpu.mb@4573=C9</action> <!-- Dynamite in the Warehouse -->
    </script>
    <script state="off">
      <action>maincpu.mb@1025=temp0 </action>
      <action>maincpu.mw@43AF=temp1 </action>
      <action>maincpu.mb@4573=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Finish this Level Now!">
    <script state="on">
      <action>maincpu.pb@8030=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Skip RAM/ROM Check"> <comment>It's better to use together with Pre-Enable</comment>
    <script state="on">
      <action>temp0 =maincpu.mw@0008</action>
    </script>
    <script state="run">
      <action>maincpu.mw@0008=2800</action>
    </script>
    <script state="off">
      <action>maincpu.mw@0008=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
